# boost::lockfree::atomic_cas_emulator< C > Struct Template Reference

List of all members.

## Detailed Description

### template<typename C>
struct boost::lockfree::atomic_cas_emulator< C >

Definition at line 65 of file cas.hpp.

## Public Types

typedef C | cas_type

## Static Public Member Functions

static bool | cas (C *addr, C old, C nw)

The documentation for this struct was generated from the following file:

- common/include/boost/lockfree/detail/cas.hpp